#import "../../Fragments/System.graphql"

#import "../../Fragments/Blocks/CardsGrid.graphql"
#import "../../Fragments/Blocks/DynamicContent.graphql"
#import "../../Fragments/Blocks/Shortcuts.graphql"
#import "../../Fragments/Blocks/UspGrid.graphql"

#import "../../Fragments/CollectionPage/NavigationLinks.graphql"
#import "../../Fragments/CollectionPage/TopPrimaryButton.graphql"

query GetCollectionPage($locale: String!, $uid: String!) {
  collection_page(uid: $uid, locale: $locale) {
    hero_image
    title
    header {
      heading
      preamble
      ...TopPrimaryButton_CollectionPage
      ...NavigationLinks_CollectionPage
    }
    meeting_package {
      show_widget
      location
    }
    blocks {
      __typename
      ...CardsGrid_CollectionPage
      ...Shortcuts_CollectionPage
      ...UspGrid_CollectionPage
      ...DynamicContent_CollectionPage
    }
    system {
      ...System
      created_at
      updated_at
    }
  }
  trackingProps: collection_page(locale: "en", uid: $uid) {
    url
  }
}

query GetCollectionPageRefs($locale: String!, $uid: String!) {
  collection_page(locale: $locale, uid: $uid) {
    header {
      ...TopPrimaryButtonRef_CollectionPage
      ...NavigationLinksRef_CollectionPage
    }
    blocks {
      __typename
      ...CardsGrid_CollectionPageRefs
      ...Shortcuts_CollectionPageRefs
      ...UspGrid_CollectionPageRefs
      ...DynamicContent_CollectionPageRefs
    }
    system {
      ...System
    }
  }
}

query GetDaDeEnUrlsCollectionPage($uid: String!) {
  de: collection_page(locale: "de", uid: $uid) {
    url
  }
  en: collection_page(locale: "en", uid: $uid) {
    url
  }
  da: collection_page(locale: "da", uid: $uid) {
    url
  }
}

query GetFiNoSvUrlsCollectionPage($uid: String!) {
  fi: collection_page(locale: "fi", uid: $uid) {
    url
  }
  no: collection_page(locale: "no", uid: $uid) {
    url
  }
  sv: collection_page(locale: "sv", uid: $uid) {
    url
  }
}
